spec:
    inputs:
        dirname:
            default: "$(basename $PWD)"
        one:
            default: "foo"
        two:
            default: "$ONE"
        name:
            default: "nothing"
        propogate:
            default: 'interim'

---

include:
    - local: 'templates/other.yml'
      inputs:
          propogate: "$[[inputs.propogate]]"

job-$[[inputs.name]]:
    image: alpine
    variables:
        ONE: "$[[inputs.one]]"
    script:
        - echo $[[inputs.dirname]]
        - echo $[[inputs.two]]
